using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using FObjBase;
using FLY.Thick.Base.IService;
using FLY.Thick.Base.OBJ_INTERFACE;
using FLY.Thick.Base.Common;
namespace FLY.Thick.Base.Client
{
    /// <summary>
    /// 
    /// </summary>
    public class TDGageServiceClient : FObjBase.Reflect.Reflect_SeviceClient, ITDGageService
    {
        protected override Type InterfaceType => typeof(ITDGageService);
        /// <summary>
        /// 
        /// </summary>
        /// <param name="serverid"></param>
        public TDGageServiceClient(UInt32 serverid) : base(serverid) { }
        /// <summary>
        ///
        /// </summary>
        /// <param name="serviceId">服务id</param>
        /// <param name="connName">连接器</param>
        public TDGageServiceClient(UInt32 serviceId, string connName) : base(serviceId, connName) { }

        /// <summary>
        /// 
        /// </summary>
        public void StartP1() 
        {
            Call("StartP1");
        }
        /// <summary>
        /// 
        /// </summary>
        /// <param name="mode"></param>
        public void StartP2(STARTP2_MODE mode)
        {
            Call("StartP2",new { mode }); 
        }
        /// <summary>
        /// 
        /// </summary>
        /// <param name="targetpos"></param>
        public void RunTo(int targetpos) 
        {
            Call("RunTo", new { targetpos });        
        }
        #region IFObj 成员

        #endregion
    }
}
